DB_ENV->set_cachesize(3)

NAME
DB->set_cachesize

SYNOPSIS

#include <db.h>

int DB_ENV->set_cachesize(DB_ENV *dbenv, u_int32_t gbytes, u_int32_t bytes, int ncache);

DESCRIPTION
DB_ENV->set_cachesize sets the size of the shared-memory buffer pool (the cache) to gbytes* gibibytes plus bytes bytes.

PARAMETERS

dbenv
    The environment (which must have been created but not yet opened). The environment is modified, not just this particular handle. If some other thread or process has opened the same environment, then this call is ignored.

gbytes
    The number of gibibytes (gibi equals 2^30, giga equals 10^9) to allocate.

bytes
    The number of additional bytes to allocate.

ncache
    Ignored in TokuDB.

RETURN VALUE

Returns zero on success. The following non-zero errors can be returned:

EINVAL
    You passed invalid parameters to this operation. In many cases EINVAL is not a very helpful error code, indicating only that you did something wrong.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.